<template>
  <section class="wrapper">
    <div v-if="context == 'location' && hasLoc">
      <location-frame
        @travelling="changeToPath" />
    </div>
    <div v-else-if="context == 'path'">
      <duel-frame
        @battle-end="changeToLocation"/>
    </div>
  </section>
</template>

<script>
import LocationFrame from '~/components/LocationFrame.vue'
import DuelFrame from '~/components/DuelFrame.vue'

export default {
  components: {
    LocationFrame,
    DuelFrame
  },
  data() {
    return {
      context: 'location',
      hasLoc: false
    };
  },
  beforeCreate() {
    let loc_id = this.$store.state.cur_char.curr_location_id,
        ins = this;
    
    this.$axios({
      method: 'get',
      url: `http://localhost:3000/locations/${loc_id}`
    })
      .then(res => {
        ins.$store.state.cur_loc = res.data;
        ins.hasLoc = true;
      })
      .catch(err => {
        ins.$router.push('/');
      });
  },
  methods: {
    changeToPath(payload) {
      this.context = 'path';
    },
    changeToLocation(payload) {
      this.context = 'location';
    }
  }
}
</script>


<style scoped>
.wrapper {
  width: 100%;
  height: 100vh;

  overflow-y: auto;
  border: 1px solid black;
  background-color: #212121;

  color: antiquewhite;
}
</style>
